ome-xml 5.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ome::xml::model::Instrument::Impl Class Reference

Private implementation details of Instrument model object. More...

Collaboration diagram for ome::xml::model::Instrument::Impl:
[legend]

## Public Member Functions
| Impl ()
| Default constructor.
| Impl (const Impl &copy)
| Copy constructor.

## Public Attributes
std::string | id
| ID property.
ome::compat::shared_ptr< ome::xml::model::Microscope > | microscope
| Microscope property.
std::vector< ome::compat::shared_ptr< ome::xml::model::LightSource > > | lightSources
| LightSource property (occurs more than once)
std::vector< ome::compat::shared_ptr< ome::xml::model::Detector > > | detectors
| Detector property (occurs more than once)
std::vector< ome::compat::shared_ptr< ome::xml::model::Objective > > | objectives
| Objective property (occurs more than once)
std::vector< ome::compat::shared_ptr< ome::xml::model::FilterSet > > | filterSets
| FilterSet property (occurs more than once)
std::vector< ome::compat::shared_ptr< ome::xml::model::Filter > > | filters
| Filter property (occurs more than once)
std::vector< ome::compat::shared_ptr< ome::xml::model::Dichroic > > | dichroics
| Dichroic property (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::Image, ome::compat::weak_ptr >::type | images
| Image_BackReference back reference (occurs more than once)

## Detailed Description

Private implementation details of Instrument model object.

The documentation for this class was generated from the following file:

- ome/xml/model/Instrument.cpp